



int bb_encloses(double *a, double *b);
int bb_apart(double *a, double *b);
int bb_empty(double *a);
void bb_normalize(double *bbox);

void bb_expand(double *bbox, double *v);
void bb_expand_box(double *bbox, double *bb);


struct BBLIST
{
	double bb[6];
	struct BBLIST *next;
	int deleted;
};

void bb_match_resolution(struct BBLIST **head, double resolution);
void bb_list_add(struct BBLIST **head, double *bb);
void bb_list_remove(struct BBLIST **head, struct BBLIST *item);
void bb_list_free(struct BBLIST **head);

void bb_transform_bbox(double *bbox, double *sbbox, double *m);
void bb_add(double *bbox, double *sbbox);
int bb_point_inside(double *bbox, double *v);

//void bb_split(double **resulting_render_bb, int * resulting_render_bb_len, double **bb_collection, int bb_collection_len);

void bb_prepare_render_volume(struct BBLIST **head);