
#define TTF_FLAG_LINE 0b001
#define TTF_FLAG_BEZ 0b010
#define TTF_FLAG_START 0b100
#define TTF_FLAG_POSITIVE 0b1000

struct TTF_POINT
{
	uint8_t flags;
	double cx;
	double cy;
	double x;
	double y;
};

struct TTF_CHAR
{
	//char c;
	struct TTF_POINT *p;
	int len;//number of points in p
	//clockwise paths are solid	
	double x; //offset from origin
	struct TTF_CHAR *next;
};



struct TTF_CHAR *ttf_string_to_curves(char *s, char *file);